SDL_GetSurfaceColorKey(3)

NAME
SDL_GetSurfaceColorKey - Get the color key (transparent pixel) for a surface.

SYNOPSIS
#include <SDL3/SDL_surface.h>

bool SDL_GetSurfaceColorKey(SDL_Surface *surface, Uint32 *key);

DESCRIPTION
The color key is a pixel of the format used by the surface, as generated by SDL_MapRGB().

If the surface doesn't have color key enabled this function returns false.

FUNCTION PARAMETERS

surface
    the SDL_Surface structure to query.

key a pointer filled in with the transparent pixel.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetSurfaceColorKey(3), SDL_SurfaceHasColorKey(3)